<div class="device-details-component-container">
    <ng-container *ngIf="$device | async as device">
        <div class="default-padding device-name">
            {{device.name}}
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Device EUI: '}}
            </div>
            <div>
                {{device.devEUI}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Join EUI: '}}
            </div>
            <div>
                {{device.joinEUI}}
            </div>
        </div>
        <ng-container *ngIf="device.farmId">
            <div class="device-property default-padding">
                <div class="bold">
                    {{'Farm: '}}
                </div>
                <div [routerLink]="['/home/farm', device.farmId]">
                    {{device.farmName}}
                </div>
            </div>
        </ng-container>
        <ng-container *ngIf="device.fieldId">
            <div class="device-property default-padding">
                <div class="bold">
                    {{'Field: '}}
                </div>
                <div [routerLink]="['/home/field', device.fieldId]">
                    {{device.fieldName}}
                </div>
            </div>
        </ng-container>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Sensor1 Humidity Min: '}}
            </div>
            <div>
                {{device.defaultHumidity1Min}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Sensor1 Humidity Max: '}}
            </div>
            <div>
                {{device.defaultHumidity1Max}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Sensor2 Humidity Min: '}}
            </div>
            <div>
                {{device.defaultHumidity2Min}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Sensor2 Humidity Max: '}}
            </div>
            <div>
                {{device.defaultHumidity2Max}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Battery Level Min: '}}
            </div>
            <div>
                {{device.defaultBatteryLevelMin}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Battery Level Max: '}}
            </div>
            <div>
                {{device.defaultBatteryLevelMax}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Temperature Min: '}}
            </div>
            <div>
                {{device.defaultTemperatureMin}}
            </div>
        </div>
        <div class="device-property default-padding">
            <div class="bold">
                {{'Temperature Max: '}}
            </div>
            <div>
                {{device.defaultTemperatureMax}}
            </div>
        </div>
        <button (click)="assignDeviceToField(device.devEUI)" *ngIf="device.fieldId === null" class="assign-button"
                mat-button>
            {{'Assign to Field'}}
        </button>
        <div class="default-padding load-more-container">
            <div class="date-selection">
                <div class="bold">{{'Start'}}</div>
                <mat-form-field appearance="outline">
                    <input [formControl]="start" [ngxMatDatetimePicker]="startpicker" matInput
                    >
                    <mat-datepicker-toggle [for]="$any(startpicker)" matSuffix></mat-datepicker-toggle>
                    <ngx-mat-datetime-picker #startpicker>
                    </ngx-mat-datetime-picker>
                </mat-form-field>
            </div>
            <div class="date-selection">
                <div class="bold">{{'End'}}</div>
                <mat-form-field appearance="outline">
                    <input [formControl]="end" [ngxMatDatetimePicker]="endpicker" matInput
                    >
                    <mat-datepicker-toggle [for]="$any(endpicker)" matSuffix></mat-datepicker-toggle>
                    <ngx-mat-datetime-picker #endpicker>
                    </ngx-mat-datetime-picker>
                </mat-form-field>
            </div>
            <button (click)="LoadMoreDeviceData(device.devEUI)" class="load-more" color="primary" mat-raised-button>
                Load
            </button>
        </div>
        <div *ngIf="device.deviceData.length > 0" class="device-data-notes ">
            <div class="date">{{'Date'}}</div>
            <div class="property-data">{{'#1'}}</div>
            <div class="property-data">{{'#2'}}</div>
            <div class="property-data">{{'°C'}}</div>
            <div class="property-data">{{'Bat.%'}}</div>
        </div>
        <ng-container *ngIf="$deviceData | async as deviceData">
            <div *ngFor="let data of deviceData">
                <div class="device-data">
                    <div class="date">
                        {{data.timeStamp | date: 'MMM d, HH:mm'}}
                    </div>
                    <div class="property-data">
                        {{data.sensor1}}{{'%'}}
                    </div>
                    <div class="property-data">
                        {{data.sensor2}}{{'%'}}
                    </div>
                    <div class="property-data">
                        {{data.temperature}}{{'°C'}}
                    </div>
                    <div class="property-data">
                        {{data.batteryLevel}}{{'%'}}
                    </div>
                </div>
            </div>
        </ng-container>

    </ng-container>
</div>
